# RPM specfile for libgnomeprintui22 module
# Generated Wed Nov 19 20:45:31 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.33.2.2 2003/11/18 20:53:57 mibarra Exp $

%define nam	libgnomeprintui22
%define ver	2.3.0
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	15

Name:     	libgnomeprintui22
Version: 	2.3.0
Release:	0.ximian.6.15
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	libgnomeprintui-2.3.0.tar.gz
Patch0:		libgnomeprintui-iconlist-dialog.patch
BuildRequires:	gnome-common
BuildRequires:	libgnomeprint22-devel >= 2.3.0.cvs.2
BuildRequires:	libgnomecanvas-devel >= 1.117.0
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	libglade2-devel
Summary:	GNOME Printing User Interface Library
Group:		System Environment/Libraries
Requires:	libgnomeui >= 2.0.0
Requires:	libgnomeprint22 >= 2.3.0.cvs.2
Requires:	libgnomecanvas >= 1.117.0
Provides:	ximian-libgnomeprintui22 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	libgnomeprintui22-devel < 2.3.0-0.ximian.6.15
Conflicts:	libgnomeprintui22-devel > 2.3.0-0.ximian.6.15

%description
The user interface portions of the GNOME printing
architecture.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
/usr/lib/lib*.so.*
/usr/*/locale/*/LC_MESSAGES/*


%post
ldconfig

%postun
ldconfig

%package -n libgnomeprintui22-devel
Summary:	Libraries and headers for libgnomeprintui
Group:		Development/Libraries
Requires:	libgnomeprintui22 = 2.3.0-0.ximian.6.15
Requires:	libgnomecanvas-devel >= 1.117.0
Requires:	libgnomeprint22-devel >= 2.3.0.cvs.2
Requires:	libgnomeui-devel >= 2.0.0
Provides:	ximian-libgnomeprintui22-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgnomeprintui22-devel
The libraries and include files that you will need to
develop software that uses libgnomeprintui.

%files -n libgnomeprintui22-devel
%defattr(-, root, root)
/usr/lib/pkgconfig/*
/usr/lib/lib*.so
/usr/lib/*.a
/usr/include/*
/usr/share/gtk-doc/html/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libgnomeprintui-2.3.0
    ;;
all)
%setup  -q -n libgnomeprintui-2.3.0
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    aclocal ${ACLOCAL_FLAGS} -I /usr/share/aclocal/gnome2-macros/; libtoolize --force --copy; automake --gnu --add-missing --include-deps; autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/usr/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 2.3.0-0.ximian.6.15
- Summary: New build.
- New automated build.

* Thu Jan 23 2003 Ximian, Inc.

- Version: 2.2.1-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Nov 29 2002 Ximian, Inc.

- Version: 1.900.0-1.ximian.2
- Summary: New build.
- New automated build.

* Fri Aug 16 2002 Ximian, Inc.

- Version: 1.116.0-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Jul 12 2002 Ximian, Inc.

- Version: 1.115.0-1.ximian.1
- Summary: New build.
- New automated build.

